# $Revision: 1.112 $, $Date: 2011/04/17 15:35:06 $
Summary:	Cross MinGW32 GNU binary utility development utilities - binutils
Summary(es.UTF-8):	Utilitarios para desarrollo de binarios de la GNU - MinGW32 binutils
Summary(fr.UTF-8):	Utilitaires de développement binaire de GNU - MinGW32 binutils
Summary(pl.UTF-8):	Skrośne narzędzia programistyczne GNU dla MinGW32 - binutils
Summary(pt_BR.UTF-8):	Utilitários para desenvolvimento de binários da GNU - MinGW32 binutils
Summary(tr.UTF-8):	GNU geliştirme araçları - MinGW32 binutils
Name:		crossmingw32-binutils
Version:	2.21.51.0.8
Release:	1
License:	GPL v3+
Group:		Development/Tools
Source0:	ftp://ftp.kernel.org/pub/linux/devel/binutils/binutils-%{version}.tar.bz2
# Source0-md5:	060982a7b6ace6e52b5d1a75e70948dd
URL:		http://sources.redhat.com/binutils/
BuildRequires:	automake
BuildRequires:	bash
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext-devel
BuildRequires:	perl-tools-pod
BuildRequires:	texinfo >= 4.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		target		i386-mingw32
%define		arch		%{_prefix}/%{target}

%description
crossmingw32 is a complete cross-compiling development system for
building stand-alone Microsoft Windows applications under Linux using
the MinGW32 build libraries. This includes a binutils, gcc with g++
and objc, and libstdc++, all cross targeted to i386-mingw32, along
with supporting Win32 libraries in 'coff' format from free sources.

This package contains cross targeted binutils.

%description -l pl.UTF-8
crossmingw32 jest kompletnym systemem do kroskompilacji, pozwalającym
budować aplikacje MS Windows pod Linuksem używając bibliotek MinGW32.
System składa się z binutils, gcc z g++ i objc, libstdc++ - wszystkie
generujące kod dla platformy i386-mingw32, oraz z bibliotek w formacie
COFF.

Ten pakiet zawiera binutils generujące skrośnie binaria dla Win32.

%prep
%setup -q -n binutils-%{version}

%build
cp /usr/share/automake/config.sub .

# Because of a bug in binutils-2.9.1, a cross libbfd.so* is not named
# lib<target>bfd.so*. To prevent confusion with native binutils, we
# forget about shared libraries right now, and do not install libbfd.a
# [the same applies to binutils 2.10.1.0.4]

# ldscripts won't be generated properly if SHELL is not bash...
CFLAGS="%{rpmcflags}" \
LDFLAGS="%{rpmldflags}" \
CONFIG_SHELL="/bin/bash" \
./configure \
	--disable-nls \
	--disable-shared \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--host=%{_target_platform} \
	--build=%{_target_platform} \
	--target=%{target}

%{__make} all \
	tooldir=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTALL='$$s/install-sh -c' \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	infodir=$RPM_BUILD_ROOT%{_infodir} \
	libdir=$RPM_BUILD_ROOT%{_libdir}

# remove this man page unless we cross-build for netware platform.
# however, this should be done in Makefiles.
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/*nlmconv.1

# libiberty.a is ELF not PE
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libiberty.a

# "filesystem" for crossmingw32-* packages (move to crossmingw32-dirs?)
install -d $RPM_BUILD_ROOT%{arch}/lib/pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
# mingw32 directory tree
%dir %{arch}
%dir %{arch}/lib
%dir %{arch}/lib/pkgconfig
%dir %{arch}/bin
# binutils files
%attr(755,root,root) %{arch}/bin/ar
%attr(755,root,root) %{arch}/bin/as
%attr(755,root,root) %{arch}/bin/dlltool
%attr(755,root,root) %{arch}/bin/ld
%attr(755,root,root) %{arch}/bin/ld.bfd
%attr(755,root,root) %{arch}/bin/nm
%attr(755,root,root) %{arch}/bin/objcopy
%attr(755,root,root) %{arch}/bin/objdump
%attr(755,root,root) %{arch}/bin/ranlib
%attr(755,root,root) %{arch}/bin/strip
%{arch}/lib/ldscripts
%attr(755,root,root) %{_bindir}/%{target}-addr2line
%attr(755,root,root) %{_bindir}/%{target}-ar
%attr(755,root,root) %{_bindir}/%{target}-as
%attr(755,root,root) %{_bindir}/%{target}-c++filt
%attr(755,root,root) %{_bindir}/%{target}-dlltool
%attr(755,root,root) %{_bindir}/%{target}-dllwrap
%attr(755,root,root) %{_bindir}/%{target}-elfedit
%attr(755,root,root) %{_bindir}/%{target}-gprof
%attr(755,root,root) %{_bindir}/%{target}-ld
%attr(755,root,root) %{_bindir}/%{target}-ld.bfd
%attr(755,root,root) %{_bindir}/%{target}-nm
%attr(755,root,root) %{_bindir}/%{target}-objcopy
%attr(755,root,root) %{_bindir}/%{target}-objdump
%attr(755,root,root) %{_bindir}/%{target}-ranlib
%attr(755,root,root) %{_bindir}/%{target}-readelf
%attr(755,root,root) %{_bindir}/%{target}-size
%attr(755,root,root) %{_bindir}/%{target}-strings
%attr(755,root,root) %{_bindir}/%{target}-strip
%attr(755,root,root) %{_bindir}/%{target}-windmc
%attr(755,root,root) %{_bindir}/%{target}-windres
%{_mandir}/man1/%{target}-addr2line.1*
%{_mandir}/man1/%{target}-ar.1*
%{_mandir}/man1/%{target}-as.1*
%{_mandir}/man1/%{target}-c++filt.1*
%{_mandir}/man1/%{target}-dlltool.1*
%{_mandir}/man1/%{target}-elfedit.1*
%{_mandir}/man1/%{target}-gprof.1*
%{_mandir}/man1/%{target}-ld.1*
%{_mandir}/man1/%{target}-nm.1*
%{_mandir}/man1/%{target}-objcopy.1*
%{_mandir}/man1/%{target}-objdump.1*
%{_mandir}/man1/%{target}-ranlib.1*
%{_mandir}/man1/%{target}-readelf.1*
%{_mandir}/man1/%{target}-size.1*
%{_mandir}/man1/%{target}-strings.1*
%{_mandir}/man1/%{target}-strip.1*
%{_mandir}/man1/%{target}-windmc.1*
%{_mandir}/man1/%{target}-windres.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-binutils.spec,v $
Revision 1.112  2011/04/17 15:35:06  qboosh
- updated to 2.21.51.0.8

Revision 1.111  2011/03/10 19:09:34  qboosh
- updated to 2.21.51.0.7

Revision 1.110  2011/01/19 15:45:17  qboosh
- updated to 2.21.51.0.6

Revision 1.109  2011/01/05 19:03:32  qboosh
- updated to 2.21.51.0.5

Revision 1.108  2010/12/17 19:22:08  qboosh
- updated to 2.21.51.0.4

Revision 1.107  2010/12/08 19:39:27  qboosh
- updated to 2.21.51.0.2

Revision 1.106  2010/11/21 07:20:56  qboosh
- updated to 2.21.51.0.1

Revision 1.105  2010/10/23 06:13:37  qboosh
- updated to 2.20.51.0.12

Revision 1.104  2010/09/19 05:38:53  qboosh
- unified MinGW32 caps

Revision 1.103  2010/08/12 18:54:49  qboosh
- updated to 2.20.51.0.11

Revision 1.102  2010/05/28 07:29:26  qboosh
- updated to 2.20.51.0.9

Revision 1.101  2010/05/16 16:17:02  sparky
- BR: perl-tools-pod, texinfo (required always)

Revision 1.100  2010/04/15 17:21:20  qboosh
- updated to 2.20.51.0.8

Revision 1.99  2010/03/19 07:08:46  qboosh
- updated to 2.20.51.0.7
- verbose files

Revision 1.98  2010/02/21 16:14:52  qboosh
- updated to 2.20.51.0.6

Revision 1.97  2009/04/22 05:25:54  qboosh
- updated to 2.19.51.0.4

Revision 1.96  2009/03/11 19:20:00  qboosh
- updated to 2.19.51.0.3

Revision 1.95  2009/02/09 20:27:50  qboosh
- updated to 2.19.51.0.2

Revision 1.94  2009/01/09 05:58:41  qboosh
- updated to 2.19.51.0.1

Revision 1.93  2008/10/08 18:15:29  qboosh
- updated to 2.19.50.0.1

Revision 1.92  2008/08/25 20:03:55  qboosh
- back to proper Source0 name

Revision 1.91  2008/08/24 21:24:02  qboosh
- updated to 2.18.50.0.9

Revision 1.90  2008/07/16 19:20:20  qboosh
- updated to 2.18.50.0.8

Revision 1.89  2008/05/07 16:14:57  qboosh
- updated to 2.18.50.0.7

Revision 1.88  2008-04-05 20:37:55  qboosh
- updated to 2.18.50.0.6

Revision 1.87  2008-03-15 02:00:51  qboosh
- updated to 2.18.50.0.5

Revision 1.86  2008-02-08 19:03:51  pluto
- updated to 2.18.50.0.4.

Revision 1.85  2007-11-04 23:20:15  qboosh
- updated to 2.18.50.0.3

Revision 1.84  2007/10/23 06:22:31  qboosh
- updated to 2.18.50.0.2

Revision 1.83  2007/09/15 22:33:22  qboosh
- updated to 2.18.50.0.1

Revision 1.82  2007/08/01 21:05:51  qboosh
- updated to 2.17.50.0.18 (GPL v3)

Revision 1.81  2007/06/20 22:01:33  pluto
- updated to 2.17.50.0.17.

Revision 1.80  2007/05/11 20:55:34  qboosh
- updated to 2.17.50.0.16

Revision 1.79  2007/04/22 11:56:10  qboosh
- updated to 2.17.50.0.15

Revision 1.78  2007/03/23 18:41:11  pluto
- updated to 2.17.50.0.14.

Revision 1.77  2007/03/16 23:06:21  qboosh
- updated to 2.17.50.0.13
- prefix/share dir finally not used, so removed

Revision 1.76  2007/03/05 11:53:56  qboosh
- added some common dirs for crossmingw32-* libs
- release 2

Revision 1.75  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.74  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.73  2007/01/30 19:34:53  qboosh
- updated to 2.17.50.0.12

Revision 1.72  2007/01/27 09:52:50  qboosh
- updated to 2.17.50.0.11

Revision 1.71  2007/01/23 22:18:36  qboosh
- updated to 2.17.50.0.10

Revision 1.70  2007/01/06 20:55:15  qboosh
- updated to 2.17.50.0.9

Revision 1.69  2006/12/03 17:59:31  qboosh
- updated to 2.17.50.0.8

Revision 1.68  2006/11/29 19:52:17  qboosh
- updated to 2.17.50.0.7

Revision 1.67  2006/10/23 17:53:26  qboosh
- updated to 2.17.50.0.6

Revision 1.66  2006/10/02 09:55:01  pluto
- updated to 2.17.50.0.5.

Revision 1.65  2006/09/27 09:39:15  qboosh
- updated to 2.17.50.0.4

Revision 1.64  2006/07/18 19:15:08  qboosh
- updated to 2.17.50.0.3

Revision 1.63  2006/06/08 20:51:01  qboosh
- updated to 2.17.50.0.2

Revision 1.62  2006/05/11 19:09:52  pluto
- disabled shared explicitly.
- disabled nls (not packaged at all).

Revision 1.61  2006/05/10 17:14:14  qboosh
- updated to 2.17.50.0.1

Revision 1.60  2006/03/21 20:08:37  qboosh
- updated to 2.16.91.0.7

Revision 1.59  2006/02/18 12:50:03  qboosh
- updated to 2.16.91.0.6, dropped sparc hack

Revision 1.58  2005/12/23 23:14:39  qboosh
- updated to 2.16.91.0.5

Revision 1.57  2005/11/27 10:20:39  qboosh
- updated to 2.16.91.0.4

Revision 1.56  2005/08/27 22:05:43  qboosh
- updated to 2.16.91.0.3

Revision 1.55  2005/08/15 00:22:31  qboosh
- updated to 2.16.91.0.2

Revision 1.54  2005/06/27 19:53:49  qboosh
- updated to 2.16.91.0.1

Revision 1.53  2005/05/21 19:52:11  qboosh
- updated to 2.16.90.0.3

Revision 1.52  2005/01/16 17:30:44  qboosh
- updated to 2.15.94.0.2

Revision 1.51  2004/11/24 17:45:06  qboosh
- updated to 2.15.94.0.1

Revision 1.50  2004/11/10 13:47:03  paladine
- cosmetics

Revision 1.49  2004/10/12 19:17:02  qboosh
- updated to 2.15.92.0.2, removed obsolete dll patch (applied)

Revision 1.48  2004/07/31 19:00:50  qboosh
- added dll patch (fix new bug which caused cross dllwrap to call native gcc)
- release 2

Revision 1.47  2004/07/28 19:54:22  qboosh
- updated to 2.15.91.0.2

Revision 1.46  2004/06/14 18:46:14  ankry
- added missing dir

Revision 1.45  2004/06/13 14:08:04  ankry
- now should build

Revision 1.44  2004/06/13 06:57:44  ankry
- fixed BRs, hopefully fixed build on sparc & amd64, unification

Revision 1.43  2004/06/11 22:38:52  ankry
BR: gettext-devel

Revision 1.42  2004/05/30 11:34:17  qboosh
- updated to 2.15.91.0.1

Revision 1.41  2004/04/17 19:05:09  qboosh
- updated to 2.15.90.0.3, removed obsolete pe-types patch

Revision 1.40  2004/03/07 16:29:49  qboosh
- updated to 2.15.90.0.1.1

Revision 1.39  2004/03/05 23:47:44  qboosh
- updated to 2.15.90.0.1

Revision 1.38  2004/02/18 22:15:08  qboosh
- added pe-types patch (fixes ld SEGV on mingw-runtime @alpha); release 2

Revision 1.37  2004/01/15 18:51:11  qboosh
- updated to 2.14.90.0.8

Revision 1.36  2004/01/02 15:56:44  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.35  2003/12/27 17:14:38  jajcus
- copy config.sub from automake

Revision 1.34  2003/11/04 00:22:29  qboosh
- 2.14.90.0.7

Revision 1.33  2003/08/29 23:30:32  ankry
- sync summaries / descriptions; some BR fixed

Revision 1.32  2003/08/27 19:38:58  qboosh
- 2.14.90.0.6 (better windres)

Revision 1.31  2003/08/06 16:52:13  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.30  2003/07/27 20:30:01  adamg
- updated to 2.14.90.0.5

Revision 1.29  2003/07/04 15:53:57  wiget
- no more exclusiearch

Revision 1.28  2003/07/04 15:08:21  wiget
- release 2
- this is base package for cross-mingw32 evn
- pass correct values to --build and --host
- removed unneeded EXEEXT workaround
- removed libiberty.a (this is ELF not PE library)

Revision 1.27  2003/06/26 16:25:29  qboosh
- 2.14.90.0.4.1

Revision 1.26  2003/06/01 10:52:07  qboosh
- 2.14.90.0.4

Revision 1.25  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.24  2003/05/25 05:46:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/05/19 21:28:09  qboosh
- 2.14.90.0.2

Revision 1.22  2003/05/10 14:41:26  wiget
- up to 2.14.90.1

Revision 1.21  2003/04/05 18:22:27  qboosh
- R: crossmingw32-runtime not -platform
- release 2

Revision 1.20  2003/03/25 01:47:59  qboosh
- updated to 2.13.90.0.20
- added workaround for $(SHELL) in $(INSTALL)

Revision 1.19  2002/07/26 19:49:51  qboosh
- 2.12.90.0.15
- removed info patch - infos are not included in binary package

Revision 1.18  2002/04/25 16:07:32  arturs
fixed a small typo

Revision 1.17  2002/02/22 23:28:46  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/01/18 02:12:36  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/10/29 23:30:40  qboosh
- 2.11.92.0.10

Revision 1.14  2001/10/29 21:40:59  ankry
- BuildRequires: perl-devel for man pages
- remove win*/netware tool man pages
- more translations
- release 2

Revision 1.13  2001/06/29 16:04:23  qboosh
- 2.11.90.0.19

Revision 1.12  2001/06/20 22:13:47  qboosh
- 2.11.90.0.15

Revision 1.11  2001/06/14 16:09:45  qboosh
- pl summaries & descriptions

Revision 1.10  2001/05/16 22:22:12  qboosh
- 2.11.90.0.8

Revision 1.9  2001/05/10 16:32:40  qboosh
- 2.11.90.0.7

Revision 1.8  2001/04/26 16:41:39  qboosh
- 2.11.90.0.5
- updated Source URL
- use %%rpm{c,ld}flags macros

Revision 1.7  2001/03/08 22:53:04  qboosh
- 2.10.91.0.4

Revision 1.6  2001/02/13 02:23:22  qboosh
- 2.10.1.0.7

Revision 1.5  2001/01/25 20:03:22  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.4  2001/01/19 17:21:19  qboosh
- update to 2.10.1.0.4
- exclude %%{arch}/lib directory from this package (it belongs to
  crossmingw32-platform)
- spec simplified

Revision 1.3  2000/12/15 00:02:11  kloczek
- only adapterized.

Revision 1.2  2000/12/14 23:58:25  qboosh
- update to 2.10.0.33
- use binutils version as package version
- removed renaming *.exe to * - binutils 2.10.0.33 doesn't use .exe extension

Revision 1.1  2000/12/11 08:36:40  qboosh
- almost rewritten, split into 3 packages
- BuildRoot, updates, patches and other stuff...

